<template>
	
	<div>
		<li class="nav-item dropdown">
		    <a :href="notifications_route" class="nav-link">
		        <i class="fa fa-bell mr-1 text-danger" v-if="notifications.length"></i>
		        <i class="far fa-bell mr-1" v-else></i>
		        <span v-if="notifications.length">
		        	(<span v-text="notifications.length"></span>)
		        </span>
		        Notificaciones
		    </a>
		</li>
	</div>

</template>

<script>

	export default {

		props: ['user_id'],

		data(){

			return {

				notifications: [],

			}

		},

		computed: {

			notifications_route(){

				return this.$root.$data.root + '/user/'+ this.user_id +'/notifications';

			}

		},

		created(){

			let t = this;

			window.Echo.channel('dates')
				.listen('HostNeedToKnowWhenVisitorIsArriving', e => {

			    t.get_user_notifications();

			    if(t.$root.$data.notifications == true){

			    	var notification = new Notification("Tienes una nueva notificación");

			    }

			});

		},

		mounted(){

			this.get_user_notifications();

		},

		methods: {

			get_user_notifications(){

				let t = this;

				let route = t.$root.$data.root + '/user/' + t.user_id + '/unread-notifications';

				axios.get(route).then(({data}) => { t.notifications = data });

			}	

		}
		
	}

</script>